/*    */ package org.hibernate.ejb.event;
/*    */ 
/*    */ import java.io.Serializable;
/*    */ import org.hibernate.engine.CascadeStyle;
/*    */ import org.hibernate.engine.CascadingAction;
/*    */ import org.hibernate.engine.EJB3CascadeStyle;
/*    */ import org.hibernate.engine.EJB3CascadingAction;
/*    */ import org.hibernate.event.EventSource;
/*    */ import org.hibernate.event.def.DefaultPersistEventListener;
/*    */ 
/*    */ public class EJB3PersistEventListener
/*    */   extends DefaultPersistEventListener
/*    */   implements CallbackHandlerConsumer
/*    */ {
/*    */   private EntityCallbackHandler callbackHandler;
/*    */   
/*    */   static
/*    */   {
/* 19 */     EJB3CascadeStyle.PERSIST_EJB3.hasOrphanDelete();
/*    */   }
/*    */   
/*    */ 
/*    */   public void setCallbackHandler(EntityCallbackHandler callbackHandler)
/*    */   {
/* 25 */     this.callbackHandler = callbackHandler;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   public EJB3PersistEventListener(EntityCallbackHandler callbackHandler)
/*    */   {
/* 34 */     this.callbackHandler = callbackHandler;
/*    */   }
/*    */   
/*    */ 
/*    */   protected Serializable saveWithRequestedId(Object entity, Serializable requestedId, String entityName, Object anything, EventSource source)
/*    */   {
/* 40 */     this.callbackHandler.preCreate(entity);
/* 41 */     return super.saveWithRequestedId(entity, requestedId, entityName, anything, source);
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   protected Serializable saveWithGeneratedId(Object entity, String entityName, Object anything, EventSource source, boolean requiresImmediateIdAccess)
/*    */   {
/* 48 */     this.callbackHandler.preCreate(entity);
/* 49 */     return super.saveWithGeneratedId(entity, entityName, anything, source, requiresImmediateIdAccess);
/*    */   }
/*    */   
/*    */ 
/*    */   protected CascadingAction getCascadeAction()
/*    */   {
/* 55 */     return EJB3CascadingAction.PERSIST_SKIPLAZY;
/*    */   }
/*    */   
/*    */   public EJB3PersistEventListener() {}
/*    */ }


/* Location:              C:\Users\anandkum\Desktop\source\hibernate-entitymanager-3.3.2.GA.jar!\org\hibernate\ejb\event\EJB3PersistEventListener.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */